Skip to main content
POST
/
companies
/
{companyId}
/
conversations
Create a new company-agent conversation
curl --request POST \
  --url https://app.hockeystack.com/api/revenue-agents/v1/companies/{companyId}/conversations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "user_email": "jsmith@example.com"
}
'
{ "conversation_id": "<string>", "created_at": "2023-11-07T05:31:56Z", "deal_id": "<string>", "company_id": "<string>" }

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

companyId
string
required

CRM company (account) ID.

Required string length: 1 - 64

Body

application/json
user_email
string<email>

User attribution for the new conversation. Optional.

Required string length: 1 - 254

Response

Conversation created.

conversation_id
string
required
created_at
string<date-time>
required
deal_id
string | null
company_id
string | null